document.getElementById('calculate-btn').addEventListener('click', function() {
  const vocabSize = parseInt(document.getElementById('vocab-size').value);
  const gpuMemory = parseInt(document.getElementById('gpu-memory').value);

  if (isNaN(vocabSize) || isNaN(gpuMemory)) {
    alert('Please enter valid numbers for both fields');
    return;
  }

  // Performance estimation formulas
  const baseSpeed = (gpuMemory / 24) * 50; // Base speed at 24GB
  const largeVocabFactor = Math.max(0.1, 1 - (vocabSize / 132000));
  const smallVocabFactor = Math.min(2, 2 - (vocabSize / 2));

  const largeVocabSpeed = Math.round(baseSpeed * largeVocabFactor);
  const smallVocabSpeed = Math.round(baseSpeed * smallVocabFactor);

  document.getElementById('result-large').textContent = largeVocabSpeed;
  document.getElementById('result-small').textContent = smallVocabSpeed;
});